# Get configuration of a scan

Get configuration of a scan with an ID.

Endpoint: GET /api/v2/scans/{scanId}/config
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan for which to get configuration

## Response 200 fields (application/json):

  - `almTrigger` (string)

  - `emailTrigger` (string)

  - `engineParams` (array)

  - `engineParams.customFilters` (array)

  - `engineParams.customFilters.filterId` (string)

  - `engineParams.customFilters.functionName` (string)

  - `engineParams.customFilters.paramIndex` (integer)

  - `engineParams.customFilters.parameterCount` (integer)

  - `engineParams.customRules` (array)

  - `engineParams.customRules.description` (string)

  - `engineParams.customRules.functionName` (string)

  - `engineParams.customRules.parameterCount` (integer)

  - `engineParams.customRules.vulnParamIndex` (integer)

  - `engineParams.customRules.vulnTypeIndex` (integer)

  - `engineParams.depth` (object)

  - `engineParams.depth.maxFunctionDepth` (integer)

  - `engineParams.depth.maxVariableTrack` (integer)

  - `engineParams.engineId` (integer)

  - `engineParams.excludedVulnTypes` (array)
    IDs of excluded vulnerability types

  - `engineParams.severityLevels` (array)

  - `engineParams.severityLevels.severity` (string)

  - `engineParams.severityLevels.vulnTypeId` (integer)

  - `engineParams.trackedInputs` (array)

  - `engines` (array)

  - `exclusions` (array)

  - `incremental` (boolean)

  - `slackTrigger` (string)

  - `target` (object)

  - `target.path` (string)

  - `target.source` (string)

  - `target.type` (string)

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 403 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


